# Craplog
A tool to create statistics from Apache2 log files

<br/>

![logo](https://git.disroot.org/elB4RTO/screenshots/raw/branch/main/Craplog/craplogo.png)

<br/>

## Table of contents

- [Overview](#overview)
- [Official versions](#official-versions)
  - [Forks](#forks)
- [Unmantained versions](#unmantained-versions)
- [Something more about Craplog](#about-craplog)

<br/>

## Overview

Craplog is a tool that takes Apache2 logs in their default form, parses them and creates simple statistics.

Please refer to one of the available versions for more informations.

<br/>

## Official versions

| Version | Repository | Description | Coded with |
| :-----: | :--------: | :---------- | :--------: |
| 3.0 | [CLI](https://git.disroot.org/elB4RTO/craplog-CLI) | Command line version    | ![Python](https://img.shields.io/badge/%20-Python-3572A5) |

<br/>

### Forks

| Version | Repository | Description | Coded with |
| :-----: | :--------: | :---------- | :--------: |
| 3.* | [LogDoctor](https://git.disroot.org/elB4RTO/LogDoctor) | Fully graphical version built upon Qt | ![C++](https://img.shields.io/badge/%20-C++-f34b7d) |

<br/>

### Unmantained versions

Old versions, which work just fine, but they're no more getting updated to fit new Craplog's standards.
<br/>

| Version | Repository | Description | Coded with |
| :-----: | :--------: | :---------- | :--------: |
| 5.0 | [GUI](https://git.disroot.org/elB4RTO/craplog-GUI) | Fully graphical version | ![Java](https://img.shields.io/badge/%20-Java-b07219) |

Please refer to the [GitHub](https://github.com/elB4RTO/CRAPLOG#unmantained-versions) page to view the full list of the unmantained versions.

<br/><br/>

## About Craplog

Craplog has born in early 2021 as a private project: it was a simple bash script with the aim of cleaning Apache2 logs, but it has evolved up to the current stage.

It is now a more complex, public domain project: it makes statistics, allows to view them, has more advanced features to customize it and the way it behaves, it's available in both a GUI version (written in Java) and a CLI version (written in Python), and it keeps growing.

<br/>
